Bug 1159214 - [RFE] Allow to run pulp on different port then 80
Summary: [RFE] Allow to run pulp on different port then 80
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Pulp
Classification: Retired
Component: z_other
Version: 2.4 Beta
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: pulp-bugs
QA Contact: pulp-qe-list
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-31 08:51 UTC by Miroslav Suchý
Modified: 2015-02-28 23:43 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-19 01:20:13 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Pulp Redmine 267 None None None Never

Description Miroslav Suchý 2014-10-31 08:51:57 UTC
Description of problem:
It would be nice to run pulp apache on different port then 80. The use case is to use lighttpd/nginx for repo serving and do not expose pulp apache publicly and have it only avalable to localhost.

Version-Release number of selected component (if applicable):
pulp-server-2.4.3-1.fc20.noarch

I will try to point out bumpers on the road as I try to move it to different port.

For starter, If I manually change Port in apache config, there is problem with
/etc/httpd/conf.d/pulp.conf having:
<VirtualHost *:80>
    Include /etc/pulp/vhosts80/*.conf
</VirtualHost>

This can be safely changed to
<VirtualHost *>
    Include /etc/pulp/vhosts80/*.conf
</VirtualHost>

Comment 1 Brian Bouterse 2015-02-19 01:20:13 UTC
Moved to https://pulp.plan.io/issues/267


Note You need to log in before you can comment on or make changes to this bug.